// Generated by CoffeeScript 1.6.3
(function() {
  jQuery.fn.slideRightHide = function(speed, callback) {
    return this.animate({
      width: "hide",
      paddingLeft: "hide",
      paddingRight: "hide",
      marginLeft: "hide",
      marginRight: "hide"
    }, speed, callback);
  };

  jQuery.fn.slideLeftShow = function(speed, callback) {
    return this.animate({
      width: "show",
      paddingLeft: "show",
      paddingRight: "show",
      marginLeft: "show",
      marginRight: "show"
    }, speed, callback);
  };

  (function($) {
    var PromoSlide;
    PromoSlide = function(element, options) {
      var checkForBrowserScrollbar, dismissedByUser, handleClickEvents, handleScrollEvents, pollingDelay, populateContainerContent, settings, templateBodyRegexp, templateContent, templateHeaderRegexp;
      templateHeaderRegexp = /\{\{header\}\}/;
      templateBodyRegexp = /\{\{body\}\}/;
      dismissedByUser = false;
      pollingDelay = 200;
      settings = $.extend({
        headerText: 'interesting header',
        bodyText: 'an interesting section',
        templateHTML: '<div class="panel panel-primary">' + '<div class="panel-heading">' + '<a href="#" class="dismiss">&times;</a>' + '<h3 class="panel-title">{{header}}</h3>' + '</div>' + '<div class="panel-body">{{body}}</div>' + '</div>'
      }, options || {});
      checkForBrowserScrollbar = function() {
        if (window.innerHeight > document.body.offsetHeight) {
          return null;
        }
      };
      templateContent = function() {
        var html, parts;
        parts = [];
        html = '';
        parts.push("<div class='promo-slide-container'>");
        if (templateHeaderRegexp.test(settings.templateHTML) && templateBodyRegexp.test(settings.templateHTML)) {
          html = settings.templateHTML.replace(templateHeaderRegexp, settings.headerText);
          html = html.replace(templateBodyRegexp, settings.bodyText);
          parts.push(html);
        }
        parts.push("</div>");
        return parts.join('');
      };
      populateContainerContent = function() {
        var container;
        element.append(templateContent());
        container = element.find(".promo-slide-container");
        container.hide();
        handleScrollEvents(container);
        return handleClickEvents(container);
      };
      handleScrollEvents = function(container) {
        return setInterval(function() {
          var containerIsVisible, scrollPositionNearBottom, scrolledToBottom;
          scrolledToBottom = (window.innerHeight + window.scrollY) >= document.body.offsetHeight;
          containerIsVisible = container.is(":visible");
          scrollPositionNearBottom = (window.innerHeight + window.scrollY) / document.body.offsetHeight * 100 <= 75;
          if (scrolledToBottom && !containerIsVisible && !dismissedByUser) {
            container.slideLeftShow(200);
          }
          if (!scrolledToBottom && containerIsVisible && scrollPositionNearBottom) {
            return container.slideRightHide(200);
          }
        }, pollingDelay);
      };
      handleClickEvents = function(container) {
        var link;
        link = container.find('a.dismiss');
        return $(link).bind('click', function(e) {
          e.preventDefault();
          dismissedByUser = true;
          return container.slideRightHide(200);
        });
      };
      this.settings = settings;
      this.pollingDelay = 200;
      this.dismissedByUser = dismissedByUser;
      this.templateContent = function() {
        return templateContent();
      };
      checkForBrowserScrollbar();
      populateContainerContent();
      return null;
    };
    return $.fn.promoSlide = function(options) {
      return this.each(function() {
        var element;
        element = $(this);
        if (element.data("hasPromoSlide")) {
          return null;
        }
        $.promoSlide = new PromoSlide(element, options);
        element.data("hasPromoSlide", true);
        return null;
      });
    };
  })(jQuery);

}).call(this);
